﻿#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "settingwgt.h"
#include "udpdatahandler.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT
public:
    Widget(QWidget *parent = nullptr);
    ~Widget();
private:
    void initUI();
    void setSNLineEditFocus();
    int checkSNId(const QString& snId);
    int startIECSProgram(const QString& workPath, const QString& snId);
    int checkForRepairProgram(const int mode, const QString& sn, bool& isFind);

    int databaseQuery(const QString& databasePath, const QString& deviceSn, bool& isFind);
private slots:
    void RegisterDoneSlot(bool ret);
    void GetConnStatusSlot(bool ret);
    void addLogItem(const QString& text);
    int switchProgram(const QString snId, const int mode, const bool isRepair);
    void on_pushButton_setting_clicked();
    void on_lineEdit_snId_returnPressed();
    void on_pushButton_sendSnId_clicked();

private:
    Ui::Widget *ui;
    SettingWgt *m_settingDlg;
    UdpDataHandler *m_udpDataThread;
    bool m_showSetting;
    bool m_isSwitching;
};
#endif // WIDGET_H
